/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/***************************************************************************
 *            dvfile.h
 *
 *  Thu Jul 28 17:30:48 CEST 2005
 *  Copyright  2005 Bent Bisballe
 *  deva@aasimon.org
 ****************************************************************************/

/*
 *  This file is part of MIaV.
 *
 *  MIaV is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  MIaV is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with MIaV; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 */
#include "config.h"
#ifndef __MIAV_DVFILE_H__
#define __MIAV_DVFILE_H__

#include "frame_stream.h"

#include <stdio.h>

#include "info.h"

#define TEST_MOVIE     PIXMAPS"/dummy.dv"

class dvfile : public frame_stream {
public:
  dvfile(Info* info);
  ~dvfile();

  unsigned char *readFrame();

private:
  Info* info;
  FILE* fp;
};

#endif/*__MIAV_DVFILE_H__*/
